// -------------------------------------------------------------------------------------------------
// xsBufferTexto.hpp
// -------------------------------------------------------------------------------------------------

// Inclusión de la librería
#include "xsEasyCpp.hpp"

#ifndef __xsBufferTexto_hpp__
#define __xsBufferTexto_hpp__

Clase xsBufferTexto
{
	Protegida:
		
	    xsTextoBuffer*  objeto;
	    xsTextoIterador iterInicio,iterFinal;

	Publica:

	    xsBufferTexto();
		Vacio crear();		
		xsTextoBuffer* obtenerManejador();
				
		Vacio insertarEnCursor(xsCadena texto);

		Entero lineas();
		Entero caracteres();

		Vacio colocarTexto(xsCadena texto);
		xsCadena obtenerTexto();
		Vacio limpiar();
};

// Fin de la Definición del Archivo
#endif
